Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Private Attributes | List of all members
eZ\Publish\Core\REST\Client\UserService Class Reference

Implementation of the \eZ\Publish\API\Repository\UserService interface. More...

Inheritance diagram for eZ\Publish\Core\REST\Client\UserService:

## Public Member Functions
| __construct (HttpClient $client, Dispatcher $inputDispatcher, Visitor $outputVisitor, RequestParser $requestParser)
| setSession ($id)
| Set session ID. More...
| createUserGroup (UserGroupCreateStruct $userGroupCreateStruct, UserGroup $parentGroup)
| Creates a new user group using the data provided in the ContentCreateStruct parameter. More...
| loadUserGroup ($id, array $prioritizedLanguages=[])
  | {Loads a user group for the given id. Parameters
  mixed | $id |
  string[] | $prioritizedLanguages | Used as prioritized language code on translated properties of returned object.
  Returns \eZ\Publish\API\Repository\Values\User\UserGroup Exceptions
} More...
| loadSubUserGroups (UserGroup $userGroup, $offset=0, $limit=25, array $prioritizedLanguages=[])
  | {Loads the sub groups of a user group. Parameters
  \eZ\Publish\API\Repository\Values\User\UserGroup | $userGroup |
  int | $offset | the start offset for paging
  int | $limit | the number of user groups returned
  string[] | $prioritizedLanguages | Used as prioritized language code on translated properties of returned object.
  Returns \eZ\Publish\API\Repository\Values\User\UserGroup[] Exceptions
} More...
| deleteUserGroup (UserGroup $userGroup)
| Removes a user group. More...
| moveUserGroup (UserGroup $userGroup, UserGroup $newParent)
| Moves the user group to another parent. More...
| updateUserGroup (UserGroup $userGroup, UserGroupUpdateStruct $userGroupUpdateStruct)
| Updates the group profile with fields and meta data. More...
| createUser (UserCreateStruct $userCreateStruct, array $parentGroups)
| Create a new user. More...
| loadUser ($userId, array $prioritizedLanguages=[])
  | {Loads a user. Parameters
  mixed | $userId |
  string[] | $prioritizedLanguages | Used as prioritized language code on translated properties of returned object.
  Returns \eZ\Publish\API\Repository\Values\User\User Exceptions
} More...
| loadAnonymousUser ()
| Loads anonymous user. More...
| loadUserByCredentials ($login, $password, array $prioritizedLanguages=[])
  | {Loads a user for the given login and password.Since 6.1 login is case-insensitive across all storage engines and database backends, however if login is part of the password hash this method will essentially be case sensitive. Deprecated: since eZ Platform 2.5, will be dropped in the next major version as authentication may depend on various user providers. Use UserService::checkUserCredentials() instead. Parameters
  string | $login |
  string | $password | the plain password
  string[] | $prioritizedLanguages | Used as prioritized language code on translated properties of returned object.
  Returns \eZ\Publish\API\Repository\Values\User\User Exceptions
} More...
| checkUserCredentials (User $user, string $credentials)
  | {Checks if credentials are valid for provided User. Parameters
  \eZ\Publish\API\Repository\Values\User\User | $user |
  string | $credentials |
Returns bool } More...
| loadUserByLogin ($login, array $prioritizedLanguages=[])
  | {Loads a user for the given login.Since 6.1 login is case-insensitive across all storage engines and database backends, like was the case with mysql before in eZ Publish 3.x/4.x/5.x. Parameters
  string | $login |
  string[] | $prioritizedLanguages | Used as prioritized language code on translated properties of returned object.
  Returns \eZ\Publish\API\Repository\Values\User\User Exceptions
} More...
| loadUsersByEmail ($email, array $prioritizedLanguages=[])
  | {Loads a user for the given email.Note: This method loads user by $email where $email might be case-insensitive on certain storage engines!Returns an array of Users since eZ Publish has under certain circumstances allowed several users having same email in the past (by means of a configuration option). Parameters
  string | $email |
  string[] | $prioritizedLanguages | Used as prioritized language code on translated properties of returned object.
Returns \eZ\Publish\API\Repository\Values\User\User[] } More...
| loadUserByToken ($hash, array $prioritizedLanguages=[])
| Loads a user with user hash key. More...
| deleteUser (User $user)
| This method deletes a user. More...
| updateUser (User $user, UserUpdateStruct $userUpdateStruct)
| Updates a user. More...
| updateUserToken (User $user, UserTokenUpdateStruct $userTokenUpdateStruct)
| Update the user token information specified by the user token struct. More...
| expireUserToken ($hash)
| Expires user token with user hash. More...
| assignUserToUserGroup (User $user, UserGroup $userGroup)
| Assigns a new user group to the user. More...
| unAssignUserFromUserGroup (User $user, UserGroup $userGroup)
| Removes a user group from the user. More...
| loadUserGroupsOfUser (User $user, $offset=0, $limit=25, array $prioritizedLanguages=[])
  | {Loads the user groups the user belongs to. Exceptions
} More...
| loadUsersOfUserGroup (UserGroup $userGroup, $offset=0, $limit=25, array $prioritizedLanguages=[])
  | {Loads the users of a user group. Exceptions
} More...
| isUser (Content $content)
  | {Checks if Content is a user. Since 7.4 Parameters
  \eZ\Publish\API\Repository\Values\Content\Content | $content |
Returns bool } More...
| isUserGroup (Content $content)
  | {Checks if Content is a user group. Since 7.4 Parameters
  \eZ\Publish\API\Repository\Values\Content\Content | $content |
Returns bool } More...
| newUserCreateStruct ($login, $email, $password, $mainLanguageCode, $contentType=null)
| Instantiate a user create class. More...
| newUserGroupCreateStruct ($mainLanguageCode, $contentType=null)
| Instantiate a user group create class. More...
| newUserUpdateStruct ()
| Instantiate a new user update struct. More...
| newUserGroupUpdateStruct ()
| Instantiate a new user group update struct. More...
| validatePassword (string $password, PasswordValidationContext $context=null)
  | {Validates given password. Parameters
  string | $password |
  \eZ\Publish\API\Repository\Values\User\PasswordValidationContext | null | $context |
  Exceptions
} More...
| getPasswordInfo (User $user)
| Returns information about password for a given user. More...

## Private Attributes
| $client
| $inputDispatcher
| $outputVisitor
| $requestParser

## Detailed Description

Implementation of the \eZ\Publish\API\Repository\UserService interface.

See also
  \eZ\Publish\API\Repository\UserService

Definition at line 31 of file Core/REST/Client/UserService.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\REST\Client\UserService::__construct | ( | HttpClient | $client,
|  | Dispatcher | $inputDispatcher,
|  | Visitor | $outputVisitor,
|  | RequestParser | $requestParser
| ) |  |

Parameters

  \eZ\Publish\Core\REST\Client\HttpClient | $client |
  \eZ\Publish\Core\REST\Common\Input\Dispatcher | $inputDispatcher |
  \eZ\Publish\Core\REST\Common\Output\Visitor | $outputVisitor |
  \eZ\Publish\Core\REST\Common\RequestParser | $requestParser |

Definition at line 51 of file Core/REST/Client/UserService.php.

References eZ\Publish\Core\REST\Client\UserService\$client, eZ\Publish\Core\REST\Client\UserService\$inputDispatcher, eZ\Publish\Core\REST\Client\UserService\$outputVisitor, and eZ\Publish\Core\REST\Client\UserService\$requestParser.

## Member Function Documentation

## ◆ assignUserToUserGroup()

eZ\Publish\Core\REST\Client\UserService::assignUserToUserGroup | ( | User | $user,
|  | UserGroup | $userGroup
| ) |  |

Assigns a new user group to the user.

Parameters

  \eZ\Publish\API\Repository\Values\User\User | $user |
  \eZ\Publish\API\Repository\Values\User\UserGroup | $userGroup |

Exceptions

Implements eZ\Publish\API\Repository\UserService.

Definition at line 310 of file Core/REST/Client/UserService.php.

## ◆ checkUserCredentials()

eZ\Publish\Core\REST\Client\UserService::checkUserCredentials | ( | User | $user,
|  | string | $credentials
| ) |  |

{Checks if credentials are valid for provided User.

Parameters

  \eZ\Publish\API\Repository\Values\User\User | $user |
  string | $credentials |

Returns
  bool

}

Implements eZ\Publish\API\Repository\UserService.

Definition at line 211 of file Core/REST/Client/UserService.php.

## ◆ createUser()

eZ\Publish\Core\REST\Client\UserService::createUser | ( | UserCreateStruct | $userCreateStruct,
|  | array | $parentGroups
| ) |  |

Create a new user.

The created user is published by this method.

Parameters

  \eZ\Publish\API\Repository\Values\User\UserCreateStruct | $userCreateStruct | the data used for creating the user
  array | $parentGroups | the groups of type \eZ\Publish\API\Repository\Values\User\UserGroup which are assigned to the user after creation

Returns
  \eZ\Publish\API\Repository\Values\User\User

Exceptions

Implements eZ\Publish\API\Repository\UserService.

Definition at line 174 of file Core/REST/Client/UserService.php.

## ◆ createUserGroup()

eZ\Publish\Core\REST\Client\UserService::createUserGroup | ( | UserGroupCreateStruct | $userGroupCreateStruct,
|  | UserGroup | $parentGroup
| ) |  |

Creates a new user group using the data provided in the ContentCreateStruct parameter.

In 4.x in the content type parameter in the profile is ignored

- the content type is determined via configuration and can be set to null. The returned version is published.

Parameters

  \eZ\Publish\API\Repository\Values\User\UserGroupCreateStruct | $userGroupCreateStruct | a structure for setting all necessary data to create this user group
  \eZ\Publish\API\Repository\Values\User\UserGroup | $parentGroup |

Returns
  \eZ\Publish\API\Repository\Values\User\UserGroup

Exceptions

Implements eZ\Publish\API\Repository\UserService.

Definition at line 92 of file Core/REST/Client/UserService.php.

## ◆ deleteUser()

eZ\Publish\Core\REST\Client\UserService::deleteUser | ( | User | $user | ) |

This method deletes a user.

Parameters

  \eZ\Publish\API\Repository\Values\User\User | $user |

Exceptions

Implements eZ\Publish\API\Repository\UserService.

Definition at line 252 of file Core/REST/Client/UserService.php.

## ◆ deleteUserGroup()

eZ\Publish\Core\REST\Client\UserService::deleteUserGroup | ( | UserGroup | $userGroup | ) |

Removes a user group.

the users which are not assigned to other groups will be deleted.

Parameters

  \eZ\Publish\API\Repository\Values\User\UserGroup | $userGroup |

Exceptions

Implements eZ\Publish\API\Repository\UserService.

Definition at line 122 of file Core/REST/Client/UserService.php.

## ◆ expireUserToken()

eZ\Publish\Core\REST\Client\UserService::expireUserToken | ( |  | $hash | ) |

Expires user token with user hash.

Parameters

  string | $hash |

Implements eZ\Publish\API\Repository\UserService.

Definition at line 295 of file Core/REST/Client/UserService.php.

## ◆ getPasswordInfo()

eZ\Publish\Core\REST\Client\UserService::getPasswordInfo | ( | User | $user | ) |

Returns information about password for a given user.

Parameters

  \eZ\Publish\API\Repository\Values\User\User | $user |

Returns
  \eZ\Publish\API\Repository\Values\User\PasswordInfo

Implements eZ\Publish\API\Repository\UserService.

Definition at line 429 of file Core/REST/Client/UserService.php.

## ◆ isUser()

eZ\Publish\Core\REST\Client\UserService::isUser | ( | Content | $content | ) |

{Checks if Content is a user.

Since
  7.4

Parameters

  \eZ\Publish\API\Repository\Values\Content\Content | $content |

Returns
  bool

}

Implements eZ\Publish\API\Repository\UserService.

Definition at line 352 of file Core/REST/Client/UserService.php.

References eZ\Publish\API\Repository\Values\Content\Content\getFields().

## ◆ isUserGroup()

eZ\Publish\Core\REST\Client\UserService::isUserGroup | ( | Content | $content | ) |

{Checks if Content is a user group.

Since
  7.4

Parameters

  \eZ\Publish\API\Repository\Values\Content\Content | $content |

Returns
  bool

}

Implements eZ\Publish\API\Repository\UserService.

Definition at line 366 of file Core/REST/Client/UserService.php.

## ◆ loadAnonymousUser()

eZ\Publish\Core\REST\Client\UserService::loadAnonymousUser | ( |  | ) |

Loads anonymous user.

Deprecated:
  since 5.3, use loadUser( $anonymousUserId ) instead

Returns
  \eZ\Publish\API\Repository\Values\User\User

Implements eZ\Publish\API\Repository\UserService.

Definition at line 195 of file Core/REST/Client/UserService.php.

## ◆ loadSubUserGroups()

eZ\Publish\Core\REST\Client\UserService::loadSubUserGroups | ( | UserGroup | $userGroup,
|  |  | $offset = `0`,
|  |  | $limit = `25`,
|  | array | $prioritizedLanguages = `[]`
| ) |  |

{Loads the sub groups of a user group.

Parameters

  \eZ\Publish\API\Repository\Values\User\UserGroup | $userGroup |
  int | $offset | the start offset for paging
  int | $limit | the number of user groups returned
  string[] | $prioritizedLanguages | Used as prioritized language code on translated properties of returned object.

Returns
  \eZ\Publish\API\Repository\Values\User\UserGroup[]

Exceptions

}

Implements eZ\Publish\API\Repository\UserService.

Definition at line 108 of file Core/REST/Client/UserService.php.

## ◆ loadUser()

eZ\Publish\Core\REST\Client\UserService::loadUser | ( |  | $userId,
|  | array | $prioritizedLanguages = `[]`
| ) |  |

{Loads a user.

Parameters

  mixed | $userId |
  string[] | $prioritizedLanguages | Used as prioritized language code on translated properties of returned object.

Returns
  \eZ\Publish\API\Repository\Values\User\User

Exceptions

}

Implements eZ\Publish\API\Repository\UserService.

Definition at line 182 of file Core/REST/Client/UserService.php.

## ◆ loadUserByCredentials()

eZ\Publish\Core\REST\Client\UserService::loadUserByCredentials | ( |  | $login,
|  |  | $password,
|  | array | $prioritizedLanguages = `[]`
| ) |  |

{Loads a user for the given login and password.Since 6.1 login is case-insensitive across all storage engines and database backends, however if login is part of the password hash this method will essentially be case sensitive.

Deprecated:
  since eZ Platform 2.5, will be dropped in the next major version as authentication may depend on various user providers. Use UserService::checkUserCredentials() instead.

Parameters

  string | $login |
  string | $password | the plain password
  string[] | $prioritizedLanguages | Used as prioritized language code on translated properties of returned object.

Returns
  \eZ\Publish\API\Repository\Values\User\User

Exceptions

}

Implements eZ\Publish\API\Repository\UserService.

Definition at line 203 of file Core/REST/Client/UserService.php.

## ◆ loadUserByLogin()

eZ\Publish\Core\REST\Client\UserService::loadUserByLogin | ( |  | $login,
|  | array | $prioritizedLanguages = `[]`
| ) |  |

{Loads a user for the given login.Since 6.1 login is case-insensitive across all storage engines and database backends, like was the case with mysql before in eZ Publish 3.x/4.x/5.x.

Parameters

  string | $login |
  string[] | $prioritizedLanguages | Used as prioritized language code on translated properties of returned object.

Returns
  \eZ\Publish\API\Repository\Values\User\User

Exceptions

}

Implements eZ\Publish\API\Repository\UserService.

Definition at line 219 of file Core/REST/Client/UserService.php.

## ◆ loadUserByToken()

eZ\Publish\Core\REST\Client\UserService::loadUserByToken | ( |  | $hash,
|  | array | $prioritizedLanguages = `[]`
| ) |  |

Loads a user with user hash key.

Parameters

  string | $hash |
  array | $prioritizedLanguages |

Returns
  \eZ\Publish\API\Repository\Values\User\User

Implements eZ\Publish\API\Repository\UserService.

Definition at line 240 of file Core/REST/Client/UserService.php.

## ◆ loadUserGroup()

eZ\Publish\Core\REST\Client\UserService::loadUserGroup | ( |  | $id,
|  | array | $prioritizedLanguages = `[]`
| ) |  |

{Loads a user group for the given id.

Parameters

  mixed | $id |
  string[] | $prioritizedLanguages | Used as prioritized language code on translated properties of returned object.

Returns
  \eZ\Publish\API\Repository\Values\User\UserGroup

Exceptions

}

Implements eZ\Publish\API\Repository\UserService.

Definition at line 100 of file Core/REST/Client/UserService.php.

## ◆ loadUserGroupsOfUser()

eZ\Publish\Core\REST\Client\UserService::loadUserGroupsOfUser | ( | User | $user,
|  |  | $offset = `0`,
|  |  | $limit = `25`,
|  | array | $prioritizedLanguages = `[]`
| ) |  |

{Loads the user groups the user belongs to.

Exceptions

}

Implements eZ\Publish\API\Repository\UserService.

Definition at line 332 of file Core/REST/Client/UserService.php.

## ◆ loadUsersByEmail()

eZ\Publish\Core\REST\Client\UserService::loadUsersByEmail | ( |  | $email,
|  | array | $prioritizedLanguages = `[]`
| ) |  |

{Loads a user for the given email.Note: This method loads user by $email where $email might be case-insensitive on certain storage engines!Returns an array of Users since eZ Publish has under certain circumstances allowed several users having same email in the past (by means of a configuration option).

Parameters

  string | $email |
  string[] | $prioritizedLanguages | Used as prioritized language code on translated properties of returned object.

Returns
  \eZ\Publish\API\Repository\Values\User\User[]

}

Implements eZ\Publish\API\Repository\UserService.

Definition at line 227 of file Core/REST/Client/UserService.php.

## ◆ loadUsersOfUserGroup()

eZ\Publish\Core\REST\Client\UserService::loadUsersOfUserGroup | ( | UserGroup | $userGroup,
|  |  | $offset = `0`,
|  |  | $limit = `25`,
|  | array | $prioritizedLanguages = `[]`
| ) |  |

{Loads the users of a user group.

Exceptions

}

Implements eZ\Publish\API\Repository\UserService.

Definition at line 340 of file Core/REST/Client/UserService.php.

## ◆ moveUserGroup()

eZ\Publish\Core\REST\Client\UserService::moveUserGroup | ( | UserGroup | $userGroup,
|  | UserGroup | $newParent
| ) |  |

Moves the user group to another parent.

Parameters

  \eZ\Publish\API\Repository\Values\User\UserGroup | $userGroup |
  \eZ\Publish\API\Repository\Values\User\UserGroup | $newParent |

Exceptions

Implements eZ\Publish\API\Repository\UserService.

Definition at line 135 of file Core/REST/Client/UserService.php.

## ◆ newUserCreateStruct()

eZ\Publish\Core\REST\Client\UserService::newUserCreateStruct | ( |  | $login,
|  |  | $email,
|  |  | $password,
|  |  | $mainLanguageCode,
|  |  | $contentType = `null`
| ) |  |

Instantiate a user create class.

Parameters

  string | $login | the login of the new user
  string | $email | the email of the new user
  string | $password | the plain password of the new user
  string | $mainLanguageCode | the main language for the underlying content object
  \eZ\Publish\API\Repository\Values\ContentType\ContentType | $contentType | 5.x the content type for the underlying content object. In 4.x it is ignored and taken from the configuration

Returns
  \eZ\Publish\API\Repository\Values\User\UserCreateStruct

Implements eZ\Publish\API\Repository\UserService.

Definition at line 383 of file Core/REST/Client/UserService.php.

## ◆ newUserGroupCreateStruct()

eZ\Publish\Core\REST\Client\UserService::newUserGroupCreateStruct | ( |  | $mainLanguageCode,
|  |  | $contentType = `null`
| ) |  |

Instantiate a user group create class.

Parameters

  string | $mainLanguageCode | The main language for the underlying content object
  \eZ\Publish\API\Repository\Values\ContentType\ContentType | $contentType | 5.x the content type for the underlying content object. In 4.x it is ignored and taken from the configuration

Returns
  \eZ\Publish\API\Repository\Values\User\UserGroupCreateStruct

Implements eZ\Publish\API\Repository\UserService.

Definition at line 396 of file Core/REST/Client/UserService.php.

## ◆ newUserGroupUpdateStruct()

eZ\Publish\Core\REST\Client\UserService::newUserGroupUpdateStruct | ( |  | ) |

Instantiate a new user group update struct.

Returns
  \eZ\Publish\API\Repository\Values\User\UserGroupUpdateStruct

Implements eZ\Publish\API\Repository\UserService.

Definition at line 416 of file Core/REST/Client/UserService.php.

## ◆ newUserUpdateStruct()

eZ\Publish\Core\REST\Client\UserService::newUserUpdateStruct | ( |  | ) |

Instantiate a new user update struct.

Returns
  \eZ\Publish\API\Repository\Values\User\UserUpdateStruct

Implements eZ\Publish\API\Repository\UserService.

Definition at line 406 of file Core/REST/Client/UserService.php.

## ◆ setSession()

eZ\Publish\Core\REST\Client\UserService::setSession | ( |  | $id | ) |

Set session ID.

Only for testing

Parameters

  mixed | tringid

Implements eZ\Publish\Core\REST\Client\Sessionable.

Definition at line 68 of file Core/REST/Client/UserService.php.

## ◆ unAssignUserFromUserGroup()

eZ\Publish\Core\REST\Client\UserService::unAssignUserFromUserGroup | ( | User | $user,
|  | UserGroup | $userGroup
| ) |  |

Removes a user group from the user.

Parameters

  \eZ\Publish\API\Repository\Values\User\User | $user |
  \eZ\Publish\API\Repository\Values\User\UserGroup | $userGroup |

Exceptions

Implements eZ\Publish\API\Repository\UserService.

Definition at line 324 of file Core/REST/Client/UserService.php.

## ◆ updateUser()

eZ\Publish\Core\REST\Client\UserService::updateUser | ( | User | $user,
|  | UserUpdateStruct | $userUpdateStruct
| ) |  |

Updates a user.

4.x: If the versionUpdateStruct is set in the user update structure, this method internally creates a content draft, updates ts with the provided data and publishes the draft. If a draft is explicitly required, the user group can be updated via the content service methods.

Parameters

  \eZ\Publish\API\Repository\Values\User\User | $user |
  \eZ\Publish\API\Repository\Values\User\UserUpdateStruct | $userUpdateStruct |

Exceptions

Implements eZ\Publish\API\Repository\UserService.

Definition at line 272 of file Core/REST/Client/UserService.php.

## ◆ updateUserGroup()

eZ\Publish\Core\REST\Client\UserService::updateUserGroup | ( | UserGroup | $userGroup,
|  | UserGroupUpdateStruct | $userGroupUpdateStruct
| ) |  |

Updates the group profile with fields and meta data.

4.x: If the versionUpdateStruct is set in $userGroupUpdateStruct, this method internally creates a content draft, updates ts with the provided data and publishes the draft. If a draft is explicitly required, the user group can be updated via the content service methods.

Parameters

  \eZ\Publish\API\Repository\Values\User\UserGroup | $userGroup |
  \eZ\Publish\API\Repository\Values\User\UserGroupUpdateStruct | $userGroupUpdateStruct |

Returns
  \eZ\Publish\API\Repository\Values\User\UserGroup

Exceptions

Implements eZ\Publish\API\Repository\UserService.

Definition at line 155 of file Core/REST/Client/UserService.php.

## ◆ updateUserToken()

eZ\Publish\Core\REST\Client\UserService::updateUserToken | ( | User | $user,
|  | UserTokenUpdateStruct | $userTokenUpdateStruct
| ) |  |

Update the user token information specified by the user token struct.

Parameters

  \eZ\Publish\API\Repository\Values\User\User | $user |
  \eZ\Publish\API\Repository\Values\User\UserTokenUpdateStruct | $userTokenUpdateStruct |

Returns
  \eZ\Publish\API\Repository\Values\User\User

Implements eZ\Publish\API\Repository\UserService.

Definition at line 285 of file Core/REST/Client/UserService.php.

## ◆ validatePassword()

eZ\Publish\Core\REST\Client\UserService::validatePassword | ( | string | $password,
|  | PasswordValidationContext | $context = `null`
| ) |  |

{Validates given password.

Parameters

  string | $password |
  \eZ\Publish\API\Repository\Values\User\PasswordValidationContext | null | $context |

Exceptions

}

Implements eZ\Publish\API\Repository\UserService.

Definition at line 424 of file Core/REST/Client/UserService.php.

## Member Data Documentation

## ◆ $client

eZ\Publish\Core\REST\Client\UserService::$client
| private

Definition at line 34 of file Core/REST/Client/UserService.php.

Referenced by eZ\Publish\Core\REST\Client\UserService\__construct().

## ◆ $inputDispatcher

eZ\Publish\Core\REST\Client\UserService::$inputDispatcher
| private

Definition at line 37 of file Core/REST/Client/UserService.php.

Referenced by eZ\Publish\Core\REST\Client\UserService\__construct().

## ◆ $outputVisitor

eZ\Publish\Core\REST\Client\UserService::$outputVisitor
| private

Definition at line 40 of file Core/REST/Client/UserService.php.

Referenced by eZ\Publish\Core\REST\Client\UserService\__construct().

## ◆ $requestParser

eZ\Publish\Core\REST\Client\UserService::$requestParser
| private

Definition at line 43 of file Core/REST/Client/UserService.php.

Referenced by eZ\Publish\Core\REST\Client\UserService\__construct().

The documentation for this class was generated from the following file:

- Core/REST/Client/UserService.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.